//
//  HTDelegateProxy.h
//  HotelTonight
//
//  Created by Jacob Jennings on 10/21/12.
//  Copyright (c) 2012 Hotel Tonight. All rights reserved.
//
/*
 Copyright (c) 2012 Hotel Tonight
 
 Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 
 The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
 
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

//  Void return type selectors will be invoked on all delegates that respond to the selector
//  Non-void return type selectors will be invoked on the first delegate in the list that responds to the selector

#import <UIKit/UIKit.h>

@interface HTDelegateProxy : NSProxy

@property (nonatomic, strong) NSArray *delegates;

- (id)initWithDelegates:(NSArray *)delegates;
- (id)init;

@end
